Subject: bug#49651: 28.0.50; setf bug

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Jul 2021 12:57:45 +0200

Michael Heerdegen <[email-masked]> writes:

> Would anything break if the expander definition for getenv would be
> moved to env.el (which would be a more natural place for it)?

Yes, moving the expanders to pre-loaded files would make the problem go
away, I think?  (And env.el is a good place for that one.)

But if we start doing that for some of those things, we should probably
do it for all of them, and I wasn't sure that that's what we wanted to
do.

It's certainly not very logical to load cl-lib to define a setter for,
say, `face-background', but that's where we're at today.

I think I'm in favour of moving all those out of cl-lib to preloaded
files.  I'm sure nobody else has an opinion here.

(3, 2...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no